# VOTEQUORUM_TRACKSTART

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

votequorum_trackstart − Enable callbacks notification.

## SYNOPSIS

#include <corosync/votequorum.h>

int votequorum_trackstart(votequorum_handle_t *handle, uint64_t context, unsigned int flags);

## DESCRIPTION

The votequorum_trackstart function is used to enable callbacks notification from the votequorum API.

Every time the voting configuration changes (eg a node joins or leave the cluster) or the quorum status change or the expected votes changes, the notification is queued.

The notification is dispatched via votequorum_dispatch() function that will execute the callback.

The context option allows one to set a tracking context.

The flags argument is defined by one or more of the following values and values can be bitwise-or’d

#define CS_TRACK_CURRENT 0x01
#define CS_TRACK_CHANGES 0x02
#define CS_TRACK_CHANGES_ONLY 0x04

## RETURN VALUE

This call returns the CS_OK value if successful, otherwise an error is returned.

## ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

## SEE ALSO

votequorum_overview(8), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3), votequorum_setvotes(3)